#! /usr/bin/env perl

BEGIN { push(@INC, $ENV{GLOBUS_LOCATION} . "/lib/perl"); }

use strict;
use Test::Harness;
use Cwd;
require 5.005;
use vars qw(@tests);
use Globus::Core::Paths;

@tests = qw(
    gridmap-and-execute-test.pl
);

chdir $Globus::Core::Paths::exec_prefix . "/test/globus_gridmap_and_execute_test";

if (!exists($ENV{VERBOSE_TESTS})) {
    close(STDERR),
    open(STDERR, '>/dev/null');
}

my $test_result = eval { runtests(@tests) };

if(!defined($test_result))
{
    print $@;
}
